package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.ReviewInvestigationVo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.review.ReviewInvestigated;
/**
 * 被调查人-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewInvestigatedService {

    Result queryPageList(ReviewInvestigated reviewInvestigated, int page, int size);

    Result queryById(Integer id);


    Result add(ReviewInvestigated reviewInvestigated,String upJsonStr,String sameJsonStr,String downJsonStr 
            ,AccessToken accessToken);

    Result edit(ReviewInvestigated reviewInvestigated, AccessToken accessToken);

    Result del(Integer id);
    
    Result selectInvestigationVoList(ReviewInvestigationVo reviewinvesti,int page, int size,boolean haseole,String getusercode);
    
    Result resendSms(int investigatedId, String investigatedName, int questionnaireId,String questionnaireName);
    
   
    
    Result selectAnswerBeforeVo(int investigatedId,int reviewJudgeId,int questionnaireId);

}